EDIT - feature request #5833
task # 4338 (In Progress): [MASTER] Handle abbreviated title and protected cache correctly in TaxEditor

Implement single cache strategy for references
05/25/2016 03:15 PM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Mller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.1

Severity: normal

Description

The new single default cache strategy for Reference.

As we do have only one Reference class left which implements multiple interfaces, we may also only need 1 single cache strategy.
However, care must be taken as the formatting differs dependent on the type an the in-reference structure.

Generally the cache strategy allows 3 formattings:

e for bibliographic references (stored in {@link Reference#getTitleCache() titteCache}).

for nomenclatural references (stored in {@link Reference#getAbbrevTitleCache() abbrevTitleCache}), but without micro
reference (detail).

¢ for nomenclatural references with micro reference, but not stored anywhere as the micro reference is part of the name, not of
the reference

for short citation (e.g. Author 2009) as defined in {@link IReferenceBaseCacheStrategy#getCitation(Reference)}

the fullAbbrevTitleString which is the same as the titleCache but using the abbrevTitle instead of titleCache if possible, not
stored in any cache

Also remove the rectifyCacheStrateggy method in Reference as it sets the old cache strategy.

duplicated by: #2862 (but more detailed)

Related issues:
Related to EDIT - bug #6960: Improve reference cachestrategy Duplicate

Associated revisions

Revision 9db62d49 - 05/26/2016 03:58 PM - Andreas Miiller

Implement single cache strategy for references #5833

e Implemented new class NewDefaultReferenceCacheStrategy and helper class TitleWithoutYearAndAuthorHelper
Moved all functionality of old ReferenceCacheStrategies to new class(es)

Moved all old strategies to package .old

Moved all tests into one test class

Removed all old tests

Renamed abbrevTitleCache to fullAbbrevTitleString in cache strategies

Added new method getNomenclaturalCache to cache strategy

History

#1 - 05/26/2016 03:38 PM - Andreas Miiller

- Status changed from New to In Progress

#2 - 05/26/2016 04:03 PM - Andreas Miiller
implemented the following by cdmlib 9db62d494989

¢ Implemented new class NewDefaultReferenceCacheStrategy and helper
class TitleWithoutYearAndAuthorHelper

¢ Moved all functionality of old ReferenceCacheStrategies to new
class(es)

e Moved all old strategies to package .old

* Moved all tests into one test class

* Removed all old tests

e Renamed abbrevTitleCache to fullAbbrevTitleString in cache strategies

¢ Added new method getNomenclaturalCache to cache strategy

#3 - 05/26/2016 05:32 PM - Andreas Miuller
[28085:28090]

#4 - 06/01/2016 01:23 PM - Andreas Miuller

- Target version changed from Release 4.1 to Release 4.2

#5 - 07/06/2016 03:23 PM - Andreas Miuller

- Target version changed from Release 4.2 to Release 4.3

#6 - 07/06/2016 03:26 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- Target version changed from Release 4.3 to Release 4.1

#7 - 07/11/2016 05:30 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Resolution set to fixed

- % Done set to 100

Seems to be fixed. However, we definetly still need to improve the cache strategy. But this is handled in separate tickets.

#8 - 07/11/2016 05:30 PM - Andreas Miiller
- Priority changed from New to Highest

#10 - 09/20/2017 02:08 PM - Andreas Miiller
- Description updated

- Private changed from Yes to No

#11 - 09/20/2017 02:08 PM - Andreas Miiller
- Related to bug #6960: Improve reference cachestrategy added

03/13/2024 22


http://www.tcpdf.org

